Solid Edge FrameworkSupport Type Library
AddVertical Method
Specifies the Line2d object to be vertically constrained.
If set, checking is performed to ensure that the relationship does not contradict previously placed relationships.
Description
Adds a vertical relationship to a Relations2d collection.
Syntax
Visual Basic
Public Function AddVertical( _
   ByVal Object As Object, _
   Optional ByVal guaranteed_ok As Variant _
) As Relation2d
Parameters
Object
Specifies the Line2d object to be vertically constrained.
guaranteed_ok
If set, checking is performed to ensure that the relationship does not contradict previously placed relationships.
Remarks
The method changes the orientation of the specified object to vertical. Relationship Add methods have checks to ensure that a new relationship does not contradict previously placed relationships. For example, AddHorizontal will return an error if the line already has a vertical relationship. This check can be turned off to enhance performance. The optional “guaranteed_ok” argument, if set to 1, bypasses relationship checking. However, this feature could leave the system in an unsolvable state, so use it with extreme caution. It is best to use this feature only on a new element with no other relationships.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objLine1 As SolidEdgeFrameworkSupport.Line2d
    Dim objRelns As SolidEdgeFrameworkSupport.Relations2d
    Dim objReln1 As SolidEdgeFrameworkSupport.Relation2d
    Dim objProfile As SolidEdgePart.Profile
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If

    ' Create an empty Profile
    Set objProfile = objDoc.ProfileSets.Add.Profiles.Add(pRefPlaneDisp:= _
                                                         objDoc.RefPlanes(1))
    ' Create a Line object
    Set objLine1 = objProfile.Lines2d.AddBy2Points(x1:=-0.05, y1:=0, x2:=0.1, y2:=0.075)
    ' Create a Vertical Relation
    Set objRelns = objProfile.Relations2d
    Set objReln1 = objRelns.AddVertical(Object:=objLine1)

    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objLine1 = Nothing
    Set objProfile = Nothing
    Set objRelns = Nothing
    Set objReln1 = Nothing
End Sub
See Also

Relations2d Collection  | Relations2d Members

Send comments on this topic.